## dune-geometry 2.8.0

=== CMakeLists.txt ===
# set up project
project("dune-geometry" C CXX)

# general stuff
cmake_minimum_required(VERSION 3.13)

if(NOT (dune-common_DIR OR dune-common_ROOT OR
        "${CMAKE_PREFIX_PATH}" MATCHES ".*dune-common.*"))
    string(REPLACE  ${CMAKE_PROJECT_NAME} dune-common dune-common_DIR
      ${PROJECT_BINARY_DIR})
endif()

#find dune-common and set the module path
find_package(dune-common REQUIRED)
list(APPEND CMAKE_MODULE_PATH ${dune-common_MODULE_PATH})

#include the dune macros
include(DuneMacros)

# start a dune project with information from dune.module
dune_project()

add_subdirectory("dune")
add_subdirectory("doc")
add_subdirectory("lib")

# if Python bindings are enabled, include necessary sub directories.
if( DUNE_ENABLE_PYTHONBINDINGS )
  add_subdirectory("python")
  dune_python_install_package(PATH python)
endif()

# finalize the dune project, e.g. generating config.h etc.
finalize_dune_project(GENERATE_CONFIG_H_CMAKE)

=== dune/CMakeLists.txt ===
add_subdirectory(geometry)
# if Python bindings are enabled, include necessary sub directories.
if( DUNE_ENABLE_PYTHONBINDINGS )
  add_subdirectory("python")
endif()

=== dune/geometry/CMakeLists.txt ===
add_subdirectory("quadraturerules")
add_subdirectory("refinement")
add_subdirectory("utility")
add_subdirectory("test")

install(FILES
  affinegeometry.hh
  axisalignedcubegeometry.hh
  dimension.hh
  generalvertexorder.hh
  multilineargeometry.hh
  quadraturerules.hh
  referenceelement.hh
  referenceelementimplementation.hh
  referenceelements.hh
  refinement.hh
  topologyfactory.hh
  type.hh
  typeindex.hh
  virtualrefinement.hh
  virtualrefinement.cc
  deprecated_topology.hh
  DESTINATION ${CMAKE_INSTALL_INCLUDEDIR}/dune/geometry
)

# install the header as done for the auto-tools
install(FILES test/checkgeometry.hh
  DESTINATION ${CMAKE_INSTALL_INCLUDEDIR}/dune/geometry/test)

dune_add_library(geometry OBJECT
  referenceelementimplementation.cc
  )

=== dune/python/CMakeLists.txt ===
add_subdirectory(geometry)
add_subdirectory(test)

=== python/dune/CMakeLists.txt ===
add_subdirectory(geometry)
add_python_targets(dune
  __init__
)

=== dune/geometry/quadraturerules/CMakeLists.txt ===
install(FILES
  compositequadraturerule.hh
  gausslobattoquadrature.hh
  gaussquadrature.hh
  gaussradauleftquadrature.hh
  gaussradaurightquadrature.hh
  jacobi1quadrature.hh
  jacobi2quadrature.hh
  jacobiNquadrature.hh
  pointquadrature.hh
  prismquadrature.hh
  simplexquadrature.hh
  tensorproductquadrature.hh
  DESTINATION ${CMAKE_INSTALL_INCLUDEDIR}/dune/geometry/quadraturerules)

exclude_from_headercheck(
  "gausslobattoquadrature.hh
  gaussquadrature.hh
  gaussradauleftquadrature.hh
  gaussradaurightquadrature.hh
  jacobi1quadrature.hh
  jacobi2quadrature.hh
  jacobiNquadrature.hh
  pointquadrature.hh
  prismquadrature.hh
  simplexquadrature.hh
  tensorproductquadrature.hh")

#build the library libquadraturerules
dune_add_library(quadraturerules OBJECT
  quadraturerules.cc
)

=== dune/geometry/test/CMakeLists.txt ===
dune_add_test(SOURCES test-affinegeometry.cc
              LINK_LIBRARIES dunegeometry)

dune_add_test(SOURCES test-axisalignedcubegeometry.cc
              LINK_LIBRARIES dunegeometry)

# whether the compiler is affected by
# https://gitlab.dune-project.org/core/dune-geometry/issues/19,
# a.k.a. https://gcc.gnu.org/bugzilla/show_bug.cgi?id=87288
set(ISSUE19_UNAFFECTED_GXX ON)
set(issue19_affected_configs)
function(check_compiler_issue19 config)
  string(TOUPPER "${config}" CONFIG)
  separate_arguments(opts UNIX_COMMAND "${CMAKE_CXX_FLAGS} ${CMAKE_CXX_FLAGS_${CONFIG}}")
  execute_process(
    COMMAND ${CMAKE_CXX_COMPILER} ${opts} -Q --help=optimizers
    OUTPUT_VARIABLE opt_settings
    ERROR_VARIABLE ignored # silence cc1 complaint about c++ options...
  )
  if(opt_settings MATCHES "-ftree-loop-vectorize[ \t]+\\[enabled\\]")
    set(ISSUE19_UNAFFECTED_GXX OFF PARENT_SCOPE)
    list(APPEND issue19_affected_configs "${config}")
    set(issue19_affected_configs "${issue19_affected_configs}" PARENT_SCOPE)
  endif()
endfunction(check_compiler_issue19)
if((CMAKE_CXX_COMPILER_ID STREQUAL "GNU") AND
    (CMAKE_CXX_COMPILER_VERSION VERSION_GREATER_EQUAL 8.2) AND
    (CMAKE_CXX_COMPILER_VERSION VERSION_LESS 8.3))
  if(CMAKE_BUILD_TYPE)
    check_compiler_issue19("${CMAKE_BUILD_TYPE}")
  elseif(CMAKE_CONFIGURATION_TYPES)
    # multi-configuration generator, check each configuration and if any is
    # bad skip test for all of them.  dune_add_test does not really allow to
    # make the guard configuration-dependent.
    foreach(conf IN LISTS CMAKE_CONFIGURATION_TYPES)
      check_compiler_issue19("${conf}")
    endforeach(conf)
  else()
    check_compiler_issue19("")
  endif()
  if(NOT ISSUE19_UNAFFECTED_GXX)
    if(issue19_affected_configs)
      string(REPLACE ";" ", " issue19_affected_configs "${issue19_affected_configs}")
      set(issue19_affected_configs
        " (Affected configurations: ${issue19_affected_configs})")
    endif()
    message(WARNING "You are using gcc 8.2 with optimization options "
      "including -ftree-loop-vectorize (possibly implicated by -O3).  This is "
      "known to miscompile, see "
      "https://gitlab.dune-project.org/core/dune-geometry/issues/19 and "
      "https://gcc.gnu.org/bugzilla/show_bug.cgi?id=87288${issue19_affected_configs}")
    message(WARNING "Skipping test-cornerstoragerefwrap due to known-bad "
      "compiler/optimization combination")
  endif()
endif()
dune_add_test(SOURCES test-cornerstoragerefwrap.cc
              LINK_LIBRARIES dunegeometry
              CMAKE_GUARD ISSUE19_UNAFFECTED_GXX)

dune_add_test(SOURCES test-fromvertexcount.cc)

dune_add_test(SOURCES test-referenceelements.cc
              LINK_LIBRARIES dunegeometry)

dune_add_test(SOURCES test-quadrature.cc
              LINK_LIBRARIES dunegeometry)

dune_add_test(SOURCES test-multilineargeometry.cc
              LINK_LIBRARIES dunegeometry)

dune_add_test(SOURCES test-nonetype.cc
              LINK_LIBRARIES dunegeometry)

dune_add_test(SOURCES test-refinement.cc
              LINK_LIBRARIES dunegeometry)

dune_add_test(SOURCES test-constexpr-geometrytype.cc
              LINK_LIBRARIES dunegeometry)

dune_add_test(SOURCES test-geometrytype-id.cc
              LINK_LIBRARIES dunegeometry)

=== dune/python/geometry/CMakeLists.txt ===
set(HEADERS
  multilineargeometry.hh
  quadraturerules.hh
  referenceelements.hh
  type.hh
)

install(FILES ${HEADERS} DESTINATION ${CMAKE_INSTALL_INCLUDEDIR}/dune/python/geometry)

=== dune/python/test/CMakeLists.txt ===
dune_python_add_test(NAME pyrefelement
                     SCRIPT refelement.py
                     WORKING_DIRECTORY ${CMAKE_CURRENT_SOURCE_DIR}
                     LABELS quick)
dune_python_add_test(NAME pygeometrytype
                     SCRIPT geometrytype.py
                     WORKING_DIRECTORY ${CMAKE_CURRENT_SOURCE_DIR}
                     LABELS quick)
dune_python_add_test(NAME pytestquad
                     SCRIPT test_quad.py
                     WORKING_DIRECTORY ${CMAKE_CURRENT_SOURCE_DIR}
                     LABELS quick)

=== python/dune/geometry/CMakeLists.txt ===
add_python_targets(geometry
  __init__
  _referenceelements
  quadpy
)
dune_add_pybind11_module(NAME _geometry)
set_property(TARGET _geometry PROPERTY LINK_LIBRARIES dunecommon dunegeometry APPEND)
install(TARGETS _geometry LIBRARY DESTINATION python/dune/geometry)

=== debian/changelog ===
dune-geometry (2.8.0-2ubuntu1) jammy; urgency=medium

  * Disable lto to fix build failure on ppc64el 

 -- Gianfranco Costamagna <locutusofborg@debian.org>  Wed, 03 Nov 2021 12:03:11 +0100

dune-geometry (2.8.0-2) unstable; urgency=medium

  * Upload to unstable

 --  Patrick Jaap <patrick.jaap@tu-dresden.de>  Thu, 21 Oct 2021 18:36:45 +0200

dune-geometry (2.8.0-1) experimental; urgency=medium

  * New upstream release.

 --  Patrick Jaap <patrick.jaap@tu-dresden.de>  Wed, 15 Sep 2021 11:15:26 +0200

dune-geometry (2.8.0~rc1-1) experimental; urgency=medium

  * New upstream release.
  * debian/rules: Explicitly set buildsystem to CMake

 -- Patrick Jaap <patrick.jaap@tu-dresden.de>  Fri, 20 Aug 2021 11:23:47 -0400

=== debian/control ===
Source: dune-geometry
Section: libs
Priority: optional
Standards-Version: 4.5.0
Maintainer: Debian Science Maintainers <debian-science-maintainers@lists.alioth.debian.org>
Uploaders: Ansgar <ansgar@debian.org>
Vcs-Browser: https://salsa.debian.org/science-team/dune-geometry
Vcs-Git: https://salsa.debian.org/science-team/dune-geometry.git
Homepage: https://www.dune-project.org/
Build-Depends: debhelper-compat (= 13),
 cmake (>= 3.13), gfortran, mpi-default-bin, mpi-default-dev, pkg-config, python3,
 libdune-common-dev (>= 2.8.0)
Build-Depends-Indep: doxygen, ghostscript, graphviz, imagemagick, inkscape, texlive-latex-extra, texlive-latex-recommended, texlive-pictures
Rules-Requires-Root: no

Package: libdune-geometry-dev
Section: libdevel
Architecture: any
Multi-Arch: same
Depends: ${misc:Depends}, ${shlibs:Depends},
 libdune-common-dev (>= 2.8.0)
Provides: ${dune:shared-library}
Description: toolbox for solving PDEs -- geometry classes (development files)
 DUNE, the Distributed and Unified Numerics Environment is a modular toolbox
 for solving partial differential equations (PDEs) with grid-based methods.
 It supports the easy implementation of methods like Finite Elements (FE),
 Finite Volumes (FV), and also Finite Differences (FD).
 .
 This package contains the development files for the geometry classes.

Package: libdune-geometry-doc
Section: doc
Architecture: all
Multi-Arch: foreign
Depends: ${misc:Depends}
Built-Using: ${dune:doc:Built-Using}
Description: toolbox for solving PDEs -- geometry classes (documentation)
 DUNE, the Distributed and Unified Numerics Environment is a modular toolbox
 for solving partial differential equations (PDEs) with grid-based methods.
 It supports the easy implementation of methods like Finite Elements (FE),
 Finite Volumes (FV), and also Finite Differences (FD).
 .
 This package contains the documentation for the geometry classes.

=== debian/rules ===
#! /usr/bin/make -f

export DEB_BUILD_MAINT_OPTIONS=optimize=-lto

include /usr/share/dune/dune-debian.mk

%:
	dh $@ --builddirectory=build --buildsystem=cmake

## dune-geometry 2.9.0

=== CMakeLists.txt ===
# SPDX-FileCopyrightText: Copyright (C) DUNE Project contributors, see file LICENSE.md in module root
# SPDX-License-Identifier: LicenseRef-GPL-2.0-only-with-DUNE-exception

cmake_minimum_required(VERSION 3.13)
project("dune-geometry" C CXX)

if(NOT (dune-common_DIR OR dune-common_ROOT OR
        "${CMAKE_PREFIX_PATH}" MATCHES ".*dune-common.*"))
    string(REPLACE  ${PROJECT_NAME} dune-common dune-common_DIR
      ${PROJECT_BINARY_DIR})
endif()

#find dune-common and set the module path
find_package(dune-common REQUIRED)
list(APPEND CMAKE_MODULE_PATH ${dune-common_MODULE_PATH})

#include the dune macros
include(DuneMacros)

# start a dune project with information from dune.module
dune_project()

dune_add_library(dunegeometry)
target_link_libraries(dunegeometry PUBLIC ${DUNE_LIBS})

add_subdirectory("dune")
add_subdirectory("doc")

# if Python bindings are enabled, include necessary sub directories.
if( DUNE_ENABLE_PYTHONBINDINGS )
  add_subdirectory("python")
endif()

# finalize the dune project, e.g. generating config.h etc.
finalize_dune_project(GENERATE_CONFIG_H_CMAKE)

=== doc/CMakeLists.txt ===
# SPDX-FileCopyrightText: Copyright (C) DUNE Project contributors, see file LICENSE.md in module root
# SPDX-License-Identifier: LicenseRef-GPL-2.0-only-with-DUNE-exception

add_subdirectory(appl)
add_subdirectory(doxygen)
add_subdirectory(refinement)

=== dune/CMakeLists.txt ===
--- 
+++ 
@@ -1,3 +1,6 @@
+# SPDX-FileCopyrightText: Copyright (C) DUNE Project contributors, see file LICENSE.md in module root
+# SPDX-License-Identifier: LicenseRef-GPL-2.0-only-with-DUNE-exception
+
 add_subdirectory(geometry)
 # if Python bindings are enabled, include necessary sub directories.
 if( DUNE_ENABLE_PYTHONBINDINGS )

=== doc/appl/CMakeLists.txt ===
# SPDX-FileCopyrightText: Copyright (C) DUNE Project contributors, see file LICENSE.md in module root
# SPDX-License-Identifier: LicenseRef-GPL-2.0-only-with-DUNE-exception

add_subdirectory(refelements)

=== doc/refinement/CMakeLists.txt ===
# SPDX-FileCopyrightText: Copyright (C) DUNE Project contributors, see file LICENSE.md in module root
# SPDX-License-Identifier: LicenseRef-GPL-2.0-only-with-DUNE-exception

dune_add_latex_document(
  SOURCE refinement.tex
  TARGET dune_geometry_refinement_tex
  FATHER_TARGET doc
  INSTALL ${CMAKE_INSTALL_DOCDIR})

# dune_add_latex_document doesn't create a target if latex is not found
if(TARGET dune_geometry_refinement_tex)
  set(PNG_IMGS simplexvertexindex.png referencetokuhn0.png kuhntriangulation.png)
  dune_create_inkscape_image_converter_target(
    TARGET refinement_images
    DPI 180
    IMAGES ${PNG_IMGS}
  )

  # create images before latex document
  add_dependencies(dune_geometry_refinement_tex refinement_images)
endif()

=== dune/geometry/CMakeLists.txt ===
--- 
+++ 
@@ -1,3 +1,6 @@
+# SPDX-FileCopyrightText: Copyright (C) DUNE Project contributors, see file LICENSE.md in module root
+# SPDX-License-Identifier: LicenseRef-GPL-2.0-only-with-DUNE-exception
+
 add_subdirectory("quadraturerules")
 add_subdirectory("refinement")
 add_subdirectory("utility")
@@ -27,6 +30,6 @@
 install(FILES test/checkgeometry.hh
   DESTINATION ${CMAKE_INSTALL_INCLUDEDIR}/dune/geometry/test)
 
-dune_add_library(geometry OBJECT
+target_sources(dunegeometry PRIVATE
   referenceelementimplementation.cc
   )

=== dune/python/CMakeLists.txt ===
# SPDX-FileCopyrightText: Copyright (C) DUNE Project contributors, see file LICENSE.md in module root
# SPDX-License-Identifier: LicenseRef-GPL-2.0-only-with-DUNE-exception

add_subdirectory(geometry)
add_subdirectory(test)

=== python/dune/CMakeLists.txt ===
# SPDX-FileCopyrightText: Copyright (C) DUNE Project contributors, see file LICENSE.md in module root
# SPDX-License-Identifier: LicenseRef-GPL-2.0-only-with-DUNE-exception

add_subdirectory(geometry)

=== doc/appl/refelements/CMakeLists.txt ===
# SPDX-FileCopyrightText: Copyright (C) DUNE Project contributors, see file LICENSE.md in module root
# SPDX-License-Identifier: LicenseRef-GPL-2.0-only-with-DUNE-exception

set(PICTURES gg_hexahedron.png gg_line.png gg_prism.png gg_pyramid.png
  gg_quadrilateral.png gg_tetrahedron.png gg_triangle.png
  gg_hexahedron_edges.png gg_tetrahedron_edges.png gg_prism_edges.png gg_pyramid_edges.png)

dune_create_inkscape_image_converter_target(
  TARGET referenceelement_images
  OUTPUT_DIR ${CMAKE_CURRENT_BINARY_DIR}
  IMAGES ${PICTURES}
)

# create reference element images before the documentation target
add_dependencies(doc referenceelement_images)

install(FILES ${PICTURES} DESTINATION ${CMAKE_INSTALL_DOCDIR}/appl/refelements)

=== dune/geometry/quadraturerules/CMakeLists.txt ===
--- 
+++ 
@@ -1,3 +1,6 @@
+# SPDX-FileCopyrightText: Copyright (C) DUNE Project contributors, see file LICENSE.md in module root
+# SPDX-License-Identifier: LicenseRef-GPL-2.0-only-with-DUNE-exception
+
 install(FILES
   compositequadraturerule.hh
   gausslobattoquadrature.hh
@@ -27,6 +30,6 @@
   tensorproductquadrature.hh")
 
 #build the library libquadraturerules
-dune_add_library(quadraturerules OBJECT
+target_sources(dunegeometry PRIVATE
   quadraturerules.cc
 )

=== dune/geometry/refinement/CMakeLists.txt ===
# SPDX-FileCopyrightText: Copyright (C) DUNE Project contributors, see file LICENSE.md in module root
# SPDX-License-Identifier: LicenseRef-GPL-2.0-only-with-DUNE-exception

install(FILES
  base.cc
  hcube.cc
  hcubetriangulation.cc
  prismtriangulation.cc
  pyramidtriangulation.cc
  simplex.cc
  DESTINATION ${CMAKE_INSTALL_INCLUDEDIR}/dune/geometry/refinement)

=== dune/geometry/test/CMakeLists.txt ===
--- 
+++ 
@@ -1,3 +1,6 @@
+# SPDX-FileCopyrightText: Copyright (C) DUNE Project contributors, see file LICENSE.md in module root
+# SPDX-License-Identifier: LicenseRef-GPL-2.0-only-with-DUNE-exception
+
 dune_add_test(SOURCES test-affinegeometry.cc
               LINK_LIBRARIES dunegeometry)

=== debian/changelog ===
dune-geometry (2.9.0-4build1) noble; urgency=high

  * No change rebuild against frame pointers and time_t.

 -- Julian Andres Klode <juliank@ubuntu.com>  Mon, 22 Apr 2024 16:46:22 +0200

dune-geometry (2.9.0-4) unstable; urgency=medium

  * Use fuzzy check for volume of reference elements to fix
      failing tests on i386

 -- Markus Blatt <markus@dr-blatt.de>  Sat, 15 Jul 2023 16:03:47 +0200

dune-geometry (2.9.0-3) unstable; urgency=medium

  * d/patches: Backported patch from upstream to fix compilation with GCC13
      (Closes: #1037631, #1037632, #1037633, #1037634)

 -- Markus Blatt <markus@dr-blatt.de>  Thu, 13 Jul 2023 13:14:05 +0200

dune-geometry (2.9.0-2) unstable; urgency=medium

  * d/control: Added Markus Blatt as uploader (with consent of Ansgar)
  * Upload to unstable

 -- Markus Blatt <markus@dr-blatt.de>  Thu, 12 Jan 2023 18:09:23 +0100

dune-geometry (2.9.0-1) experimental; urgency=medium

  [ Markus Blatt ]
  * d/upstream: Added metadata file
  * Fixed version number in dune.module
  * New upstream release (2.9.0).

  [ Ansgar ]
  * d/control: set Standards-Version to 4.6.2 (no changes).

 -- Ansgar <ansgar@debian.org>  Sat, 07 Jan 2023 22:13:32 +0100

=== debian/control ===
--- 
+++ 
@@ -1,15 +1,16 @@
 Source: dune-geometry
 Section: libs
 Priority: optional
-Standards-Version: 4.5.0
-Maintainer: Debian Science Maintainers <debian-science-maintainers@lists.alioth.debian.org>
-Uploaders: Ansgar <ansgar@debian.org>
+Standards-Version: 4.6.2
+Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
+XSBC-Original-Maintainer: Debian Science Maintainers <debian-science-maintainers@lists.alioth.debian.org>
+Uploaders: Ansgar <ansgar@debian.org>, Markus Blatt <markus@dr-blatt.de>
 Vcs-Browser: https://salsa.debian.org/science-team/dune-geometry
 Vcs-Git: https://salsa.debian.org/science-team/dune-geometry.git
 Homepage: https://www.dune-project.org/
 Build-Depends: debhelper-compat (= 13),
- cmake (>= 3.13), gfortran, mpi-default-bin, mpi-default-dev, pkg-config, python3,
- libdune-common-dev (>= 2.8.0)
+ cmake, gfortran, mpi-default-bin, mpi-default-dev, pkg-config, python3,
+ libdune-common-dev (>= 2.9.0)
 Build-Depends-Indep: doxygen, ghostscript, graphviz, imagemagick, inkscape, texlive-latex-extra, texlive-latex-recommended, texlive-pictures
 Rules-Requires-Root: no
 
@@ -18,7 +19,7 @@
 Architecture: any
 Multi-Arch: same
 Depends: ${misc:Depends}, ${shlibs:Depends},
- libdune-common-dev (>= 2.8.0)
+ libdune-common-dev (>= 2.9.0)
 Provides: ${dune:shared-library}
 Description: toolbox for solving PDEs -- geometry classes (development files)
  DUNE, the Distributed and Unified Numerics Environment is a modular toolbox

## dune-geometry 2.10.0

=== CMakeLists.txt ===
--- 
+++ 
@@ -1,7 +1,7 @@
-# SPDX-FileCopyrightText: Copyright (C) DUNE Project contributors, see file LICENSE.md in module root
+# SPDX-FileCopyrightText: Copyright © DUNE Project contributors, see file LICENSE.md in module root
 # SPDX-License-Identifier: LicenseRef-GPL-2.0-only-with-DUNE-exception
 
-cmake_minimum_required(VERSION 3.13)
+cmake_minimum_required(VERSION 3.16)
 project("dune-geometry" C CXX)
 
 if(NOT (dune-common_DIR OR dune-common_ROOT OR
@@ -20,8 +20,8 @@
 # start a dune project with information from dune.module
 dune_project()
 
-dune_add_library(dunegeometry)
-target_link_libraries(dunegeometry PUBLIC ${DUNE_LIBS})
+dune_add_library(dunegeometry EXPORT_NAME Geometry)
+target_link_libraries(dunegeometry PUBLIC Dune::Common)
 
 add_subdirectory("dune")
 add_subdirectory("doc")
@@ -32,4 +32,4 @@
 endif()
 
 # finalize the dune project, e.g. generating config.h etc.
-finalize_dune_project(GENERATE_CONFIG_H_CMAKE)
+finalize_dune_project()

=== doc/CMakeLists.txt ===
# SPDX-FileCopyrightText: Copyright © DUNE Project contributors, see file LICENSE.md in module root
# SPDX-License-Identifier: LicenseRef-GPL-2.0-only-with-DUNE-exception

add_subdirectory(appl)
add_subdirectory(doxygen)
add_subdirectory(refinement)

=== dune/CMakeLists.txt ===
--- 
+++ 
@@ -1,4 +1,4 @@
-# SPDX-FileCopyrightText: Copyright (C) DUNE Project contributors, see file LICENSE.md in module root
+# SPDX-FileCopyrightText: Copyright © DUNE Project contributors, see file LICENSE.md in module root
 # SPDX-License-Identifier: LicenseRef-GPL-2.0-only-with-DUNE-exception
 
 add_subdirectory(geometry)

=== doc/appl/CMakeLists.txt ===
# SPDX-FileCopyrightText: Copyright © DUNE Project contributors, see file LICENSE.md in module root
# SPDX-License-Identifier: LicenseRef-GPL-2.0-only-with-DUNE-exception

add_subdirectory(refelements)

=== doc/doxygen/CMakeLists.txt ===
# SPDX-FileCopyrightText: Copyright © DUNE Project contributors, see file LICENSE.md in module root
# SPDX-License-Identifier: LicenseRef-GPL-2.0-only-with-DUNE-exception

# shortcut for creating the Doxyfile.in and Doxyfile
add_doxygen_target()

=== doc/refinement/CMakeLists.txt ===
--- 
+++ 
@@ -1,4 +1,4 @@
-# SPDX-FileCopyrightText: Copyright (C) DUNE Project contributors, see file LICENSE.md in module root
+# SPDX-FileCopyrightText: Copyright © DUNE Project contributors, see file LICENSE.md in module root
 # SPDX-License-Identifier: LicenseRef-GPL-2.0-only-with-DUNE-exception
 
 dune_add_latex_document(

=== dune/geometry/CMakeLists.txt ===
--- 
+++ 
@@ -1,4 +1,4 @@
-# SPDX-FileCopyrightText: Copyright (C) DUNE Project contributors, see file LICENSE.md in module root
+# SPDX-FileCopyrightText: Copyright © DUNE Project contributors, see file LICENSE.md in module root
 # SPDX-License-Identifier: LicenseRef-GPL-2.0-only-with-DUNE-exception
 
 add_subdirectory("quadraturerules")
@@ -11,7 +11,9 @@
   axisalignedcubegeometry.hh
   dimension.hh
   generalvertexorder.hh
+  mappedgeometry.hh
   multilineargeometry.hh
+  localfiniteelementgeometry.hh
   quadraturerules.hh
   referenceelement.hh
   referenceelementimplementation.hh
@@ -22,7 +24,6 @@
   typeindex.hh
   virtualrefinement.hh
   virtualrefinement.cc
-  deprecated_topology.hh
   DESTINATION ${CMAKE_INSTALL_INCLUDEDIR}/dune/geometry
 )

=== dune/python/CMakeLists.txt ===
# SPDX-FileCopyrightText: Copyright © DUNE Project contributors, see file LICENSE.md in module root
# SPDX-License-Identifier: LicenseRef-GPL-2.0-only-with-DUNE-exception

add_subdirectory(geometry)
add_subdirectory(test)

=== python/dune/CMakeLists.txt ===
# SPDX-FileCopyrightText: Copyright © DUNE Project contributors, see file LICENSE.md in module root
# SPDX-License-Identifier: LicenseRef-GPL-2.0-only-with-DUNE-exception

add_subdirectory(geometry)

=== doc/appl/refelements/CMakeLists.txt ===
--- 
+++ 
@@ -1,4 +1,4 @@
-# SPDX-FileCopyrightText: Copyright (C) DUNE Project contributors, see file LICENSE.md in module root
+# SPDX-FileCopyrightText: Copyright © DUNE Project contributors, see file LICENSE.md in module root
 # SPDX-License-Identifier: LicenseRef-GPL-2.0-only-with-DUNE-exception
 
 set(PICTURES gg_hexahedron.png gg_line.png gg_prism.png gg_pyramid.png

=== dune/geometry/quadraturerules/CMakeLists.txt ===
--- 
+++ 
@@ -1,4 +1,4 @@
-# SPDX-FileCopyrightText: Copyright (C) DUNE Project contributors, see file LICENSE.md in module root
+# SPDX-FileCopyrightText: Copyright © DUNE Project contributors, see file LICENSE.md in module root
 # SPDX-License-Identifier: LicenseRef-GPL-2.0-only-with-DUNE-exception
 
 install(FILES
@@ -10,6 +10,7 @@
   jacobi1quadrature.hh
   jacobi2quadrature.hh
   jacobiNquadrature.hh
+  numberfromstring.hh
   pointquadrature.hh
   prismquadrature.hh
   simplexquadrature.hh

=== dune/geometry/refinement/CMakeLists.txt ===
--- 
+++ 
@@ -1,4 +1,4 @@
-# SPDX-FileCopyrightText: Copyright (C) DUNE Project contributors, see file LICENSE.md in module root
+# SPDX-FileCopyrightText: Copyright © DUNE Project contributors, see file LICENSE.md in module root
 # SPDX-License-Identifier: LicenseRef-GPL-2.0-only-with-DUNE-exception
 
 install(FILES

=== debian/changelog ===
dune-geometry (2.10.0-1) unstable; urgency=medium

  * New upstream version 2.10.0
  * Added debian/watch file
  * Bumped standards version to 4.7.0 (no changes)
  * d/control: Depend on pkgconf and DUNE 2.10~
  * d/patches: Refreshed patches

 -- Markus Blatt <markus@dr-blatt.de>  Thu, 14 Nov 2024 19:01:13 +0100

dune-geometry (2.10~pre20240905-1) experimental; urgency=medium

  * New upstream release (2.10~pre20240905).
  * Bumped standards version to 4.7.0 (no changes)
  * d/control: Depend on pkgconf and DUNE 2.10~
  * d/patches: Refreshed patches

 -- Markus Blatt <markus@dr-blatt.de>  Thu, 17 Oct 2024 20:16:54 +0200

=== debian/control ===
--- 
+++ 
@@ -1,16 +1,15 @@
 Source: dune-geometry
 Section: libs
 Priority: optional
-Standards-Version: 4.6.2
-Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
-XSBC-Original-Maintainer: Debian Science Maintainers <debian-science-maintainers@lists.alioth.debian.org>
+Standards-Version: 4.7.0
+Maintainer: Debian Science Maintainers <debian-science-maintainers@lists.alioth.debian.org>
 Uploaders: Ansgar <ansgar@debian.org>, Markus Blatt <markus@dr-blatt.de>
 Vcs-Browser: https://salsa.debian.org/science-team/dune-geometry
 Vcs-Git: https://salsa.debian.org/science-team/dune-geometry.git
 Homepage: https://www.dune-project.org/
 Build-Depends: debhelper-compat (= 13),
- cmake, gfortran, mpi-default-bin, mpi-default-dev, pkg-config, python3,
- libdune-common-dev (>= 2.9.0)
+ cmake, gfortran, mpi-default-bin, mpi-default-dev, pkgconf, python3,
+ libdune-common-dev (>= 2.10~)
 Build-Depends-Indep: doxygen, ghostscript, graphviz, imagemagick, inkscape, texlive-latex-extra, texlive-latex-recommended, texlive-pictures
 Rules-Requires-Root: no
 
@@ -19,7 +18,7 @@
 Architecture: any
 Multi-Arch: same
 Depends: ${misc:Depends}, ${shlibs:Depends},
- libdune-common-dev (>= 2.9.0)
+ libdune-common-dev (>= 2.10~)
 Provides: ${dune:shared-library}
 Description: toolbox for solving PDEs -- geometry classes (development files)
  DUNE, the Distributed and Unified Numerics Environment is a modular toolbox

## dune-geometry 2.11.0~git20251211

=== dune/geometry/utility/CMakeLists.txt ===
# SPDX-FileCopyrightText: Copyright © DUNE Project contributors, see file LICENSE.md in module root
# SPDX-License-Identifier: LicenseRef-GPL-2.0-only-with-DUNE-exception

install(FILES
  algorithms.hh
  convergence.hh
  defaultmatrixhelper.hh
  typefromvertexcount.hh
  DESTINATION ${CMAKE_INSTALL_INCLUDEDIR}/dune/geometry/utility)

=== python/dune/geometry/CMakeLists.txt ===
# SPDX-FileCopyrightText: Copyright © DUNE Project contributors, see file LICENSE.md in module root
# SPDX-License-Identifier: LicenseRef-GPL-2.0-only-with-DUNE-exception

add_python_targets(geometry
  __init__
  _referenceelements
  quadpy
)


dune_add_pybind11_module(NAME _geometry SOURCES _geometry.cc)
target_link_libraries(_geometry PUBLIC Dune::Geometry)
if( DUNE_ENABLE_PYTHONMODULE_PRECOMPILE )
  foreach(DIM RANGE 0 4)
    add_library(registerrefelem_${DIM} OBJECT registerrefelem.cc)
    target_compile_definitions(registerrefelem_${DIM} PRIVATE DIM=${DIM})
    target_link_libraries(registerrefelem_${DIM} PRIVATE Dune::Geometry)

    # Register the object in the pybind11 module _geometry
    target_link_libraries(_geometry PRIVATE registerrefelem_${DIM})
  endforeach()
endif()

if(SKBUILD)
  install(TARGETS _geometry LIBRARY DESTINATION python/dune/geometry)
endif()

=== debian/changelog ===
dune-geometry (2.11.0~git20251211-2) experimental; urgency=medium

  * Force rebuild to test fixes to eigenvalue computation in dune-common
    that should fix builds on ppc64 and s290x

 -- Markus Blatt <markus@dr-blatt.de>  Wed, 07 Jan 2026 10:02:30 +0100

dune-geometry (2.11.0~git20251211-1) experimental; urgency=medium

  * New upstream release (2.11.0~git20251211).
  * d/patches: Rediffed patches.
  * d/control: Depend on dune-common >= 2.11.0~,

 -- Markus Blatt <markus@dr-blatt.de>  Sun, 04 Jan 2026 15:12:46 +0100

## dune-geometry 2.11.0

=== CMakeLists.txt ===
--- 
+++ 
@@ -17,11 +17,23 @@
 #include the dune macros
 include(DuneMacros)
 
+# deactivate global include-directories
+dune_policy(SET DP_DEFAULT_INCLUDE_DIRS NEW)
+
+# deactivate global calls to add_dune_all_flags in tests
+dune_policy(SET DP_TEST_ADD_ALL_FLAGS NEW)
+
+# do not make all suggested dependencies required automatically
+dune_policy(SET DP_SUGGESTED_MODULE_DEPENDENCIES_REQUIRED_DOWNSTREAM NEW)
+
 # start a dune project with information from dune.module
 dune_project()
 
 dune_add_library(dunegeometry EXPORT_NAME Geometry)
 target_link_libraries(dunegeometry PUBLIC Dune::Common)
+
+# set include directories to target
+dune_default_include_directories(dunegeometry PUBLIC)
 
 add_subdirectory("dune")
 add_subdirectory("doc")

=== dune/geometry/test/CMakeLists.txt ===
# SPDX-FileCopyrightText: Copyright © DUNE Project contributors, see file LICENSE.md in module root
# SPDX-License-Identifier: LicenseRef-GPL-2.0-only-with-DUNE-exception

# Link all test targets in this directory against Dune::Geometry
link_libraries(Dune::Geometry)

dune_add_test(SOURCES benchmark-geometries.cc)

dune_add_test(SOURCES test-affinegeometry.cc)

dune_add_test(SOURCES test-axisalignedcubegeometry.cc)

dune_add_test(SOURCES test-cornerstoragerefwrap.cc)

dune_add_test(SOURCES test-fromvertexcount.cc)

dune_add_test(SOURCES test-referenceelements.cc)

dune_add_test(SOURCES test-quadrature.cc)

dune_add_test(SOURCES test-mappedgeometry.cc)

dune_add_test(SOURCES test-multilineargeometry.cc)

dune_add_test(SOURCES test-nonetype.cc)

dune_add_test(SOURCES test-localfiniteelementgeometry.cc)

dune_add_test(SOURCES test-refinement.cc)

dune_add_test(SOURCES test-constexpr-geometrytype.cc)

dune_add_test(SOURCES test-geometrytype-id.cc)

=== debian/changelog ===
dune-geometry (2.11.0-1) unstable; urgency=medium

  * New upstream version 2.11.0
  * d/patches: Rediffed patches.
  * d/control: Depend on dune-common >= 2.11.0~
  * Added debiab/gbp.conf for dep-14 branch names
  * Added config file for salsa CI
  * Updated debian/copyright
  * d/rules: Deactivate buggy test-quadrature on s390x

 -- Markus Blatt <markus@dr-blatt.de>  Fri, 06 Feb 2026 15:57:55 +0100

dune-geometry (2.11.0-1~exp2) experimental; urgency=medium

  * d/rules: Deactivate buggy test-quadrature on s390x

 -- Markus Blatt <markus@dr-blatt.de>  Thu, 29 Jan 2026 15:40:46 +0100

dune-geometry (2.11.0-1~exp1) experimental; urgency=medium

  * New upstream version 2.11.0
  * Added debiab/gbp.conf for dep-14 branch names
  * Added config file for salsa CI
  * Update changelog for 2.11.0-1~exp1~1.gbp9352d9 release

 -- Markus Blatt <markus@dr-blatt.de>  Wed, 28 Jan 2026 18:04:26 +0100

=== debian/control ===
--- 
+++ 
@@ -9,7 +9,7 @@
 Homepage: https://www.dune-project.org/
 Build-Depends: debhelper-compat (= 13),
  cmake, gfortran, mpi-default-bin, mpi-default-dev, pkgconf, python3,
- libdune-common-dev (>= 2.10~)
+ libdune-common-dev (>= 2.11.0~)
 Build-Depends-Indep: doxygen, ghostscript, graphviz, imagemagick, inkscape, texlive-latex-extra, texlive-latex-recommended, texlive-pictures
 Rules-Requires-Root: no
 
@@ -18,7 +18,7 @@
 Architecture: any
 Multi-Arch: same
 Depends: ${misc:Depends}, ${shlibs:Depends},
- libdune-common-dev (>= 2.10~)
+ libdune-common-dev (>= 2.11.0~)
 Provides: ${dune:shared-library}
 Description: toolbox for solving PDEs -- geometry classes (development files)
  DUNE, the Distributed and Unified Numerics Environment is a modular toolbox

=== debian/rules ===
#! /usr/bin/make -f

include /usr/share/dune/dune-debian.mk

# We have failing tests on s390x. We think the code is actually buggy
# and deactivate the test..
ifneq (,$(filter $(DEB_HOST_ARCH), s390x))
    DUNE_CTEST_OPTIONS += "-E test-quadrature"
endif

%:
	dh $@ --builddirectory=build --buildsystem=cmake
